Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234920 - nscd now needs setcap permission
Summary: nscd now needs setcap permission
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 235023 235024
TreeView+ depends on / blocked
 
Reported: 2007-04-02 20:33 UTC by Ulrich Drepper
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-22 14:17:13 UTC


Attachments (Terms of Use)

Description Ulrich Drepper 2007-04-02 20:33:32 UTC
Description of problem:
After we finally managed to fix up nscd to use the libcap codeadded a year ago
nscd now needs more permissions:

audit(1175545373.669:111): avc:  denied  { setcap } for  pid=30769 comm="nscd"
scontext=system_u:system_r:nscd_t:s0 tcontext=system_u:system_r:nscd_t:s0
tclass=process

libcap was added for SELinux  purposes.  The patch was initially written by
James Antill.


Version-Release number of selected component (if applicable):
selinux-policy-2.5.10-2.fc7.noarch


How reproducible:
always


Steps to Reproduce:
1.get glibc-2.5.90-20 or later
2.(re)start nscd
3.
  
Actual results:
above audit message

Expected results:
no such message

Additional info:
Simply adding

allow nscd_t self:process setcap;

should do.  This also much go into RHEL5.1 and perhaps even RHEL4.6 (but here I
defer to Jakub to say whether he has t hat code in RHEL4's glibc).

Comment 1 Daniel Walsh 2007-04-02 21:11:24 UTC
Fixed in selinux-policy-2.5.11-2

Comment 2 Jakub Jelinek 2007-04-03 05:12:21 UTC
It is needed for RHEL5.1 and RHEL4.6 too (the latter is where it actually has
been found - when QA was testing the backport).

Comment 3 Ulrich Drepper 2007-05-05 20:23:25 UTC
Dan, do we need a separate bug to get these changes into RHEL4+5?

Comment 4 Daniel Walsh 2007-05-07 14:28:18 UTC
Should already be in there for u5.  I believe.selinux-policy-targeted-1.17.30-2.145


Comment 5 Daniel Walsh 2007-08-22 14:17:13 UTC
Should be fixed in the current release



Note You need to log in before you can comment on or make changes to this bug.